QGIS Application - Bug report #8255
in edit mode changing primary key discards geometry modifications
2013-07-10 09:49 AM - Vincent Mora

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17059
Description

If you modify the geometry of a feature (eg move a point) and then change its primary key (with attribute table), the geometry
modifications are lost.

This is especially relevant to split features, where you may need to edit the primary key values in order to make them unique (see #7550).

Associated revisions

Revision 24b6e638 - 2015-10-14 12:03 AM - Jiirgen Fischer

vector layer: update geometries first before feature id might change (fixes #8255)

Revision e9d2a0ed - 2015-11-26 08:32 PM - Jiirgen Fischer

vector layer: update geometries first before feature id might change (fixes #8255)

(backported from commit 24b6e63)

History

#1 - 2014-06-21 05:46 AM - Jiirgen Fischer
- Category set to Vectors
- Subject changed from in edition mode changing primary key discards geometry modifications to in edit mode changing primary key discards geometry

modifications

#2 - 2014-06-21 05:46 AM - Jiirgen Fischer
- Priority changed from Normal to High

#3 - 2014-11-03 02:09 PM - Giovanni Manghi

- Category changed from Vectors to Digitising

(amazingly) | can confirm this issue, and is not a regression but something that affects qgis since long aso... (tested down until 1.7.4)...

#4 - 2015-10-13 03:04 PM - Juirgen Fischer
- Status changed from Open to Closed
Fixed in changeset commit:"24b6e6387ec7b78ad87121bd19e4e30872feff6f".
